util.io

## Class CheckNetworkConnection

- java.lang.Object
- - util.io.CheckNetworkConnection

-      class CheckNetworkConnection
      extends java.lang.Object

  Checks the Network and creates a Waiting-Dialog if necessary
  Since:
    2.2

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CheckNetworkConnection()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `checkConnection()` Check the Network
    `boolean` | `checkConnection(java.net.URL url)` Checks if a internet connection to a specific Server can be established
    `boolean` | `checkConnection(java.net.URL url, int timeout, boolean showWaitingDialog)` Checks if a internet connection to a specific Server can be established
    `static java.lang.String[]` | `getUrls()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CheckNetworkConnection

          CheckNetworkConnection()

  - ### Method Detail

    - #### checkConnection

          public boolean checkConnection()

      Check the Network
      Returns:
        true, if the connection is working

    - #### checkConnection

          public boolean checkConnection(java.net.URL url)

      Checks if a internet connection to a specific Server can be established
      Parameters:
        `url` - check this Server
      Returns:
        true, if a connection can be established

    - #### checkConnection

          public boolean checkConnection(java.net.URL url,
                                int timeout,
                                boolean showWaitingDialog)

      Checks if a internet connection to a specific Server can be established
      Parameters:
        `url` - check this Server
        `timeout` - the timeout for the check in milliseconds.
        `showWaitingDialog` - `true` if a waiting dialog should be shown, `false` otherwise.
      Returns:
        `true`, if a connection can be established

    - #### getUrls

          public static java.lang.String[] getUrls()

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)